#include "partition.h"
std::vector<int> solve(std::vector<int> A) {
    vector<int>br(A.size()+1,0);


    for (int i=0;i<A.size();i++){
        int c=A[i];
        br[c]++;
    }
    vector<int>brn(A.size()+1,0);
    vector<int>rezi;
    for (int i=0;i<A.size();i++){
        int b=A[i];
        if (brn[b]<(br[b]/2)){
            brn[b]++;
            rezi.push_back(i);
        }
    }
    return {rezi};
}
